Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.MQSeriesETD
Class Message

    com.stc.eways.MQSeriesETD.Message

public class Message

Inner Class Summary
`class` | `Message.MsgBody` Contained class to wrap the ETD's concept of a MsgBody
`class` | `Message.MsgHeader` Contained class to wrap the ETD's concept of a MsgHeader.

Constructor Summary
`Message()`

Method Summary
`void` | `clearMessage()` Discards data in the message buffer and reset the data offset to zero.
`int` | `getDataLength()` Reports the number of bytes of data remaining to be read in the message.
`int` | `getDataOffset()` Returns the current position of the cursor within the message.
`int` | `getMessageLength()` Reports the total number of bytes in the stored message on the queue.
`int` | `getTotalMessageLength()` If MQQueue.get() fails with a message-truncated error code, getTotalMessageLength() reports the total number of bytes in the stored message on the queue.
`boolean` | `readBoolean()` Reads a (signed) byte from the present position in the message buffer.
`char` | `readChar()` Reads a Unicode character from the present position in the message buffer.
`short` | `readDecimal2()` Reads a 2-byte packed decimal number (-999 to 999).
`int` | `readDecimal4()` Reads a 4-byte packed decimal number (-9999999 to 9999999).
`long` | `readDecimal8()` Reads an 8-byte packed decimal number (-999999999999999 to 999999999999999).
`double` | `readDouble()` Reads a double from the present position in the message buffer.
`float` | `readFloat()` Reads a float from the present position in the message buffer.
`void` | `readFully(byte[] buffer)` Fills the byte array b with data from the message buffer.
`void` | `readFully(byte[] buffer, int offset, int len)` Fills the len elements of the byte array b with data from the message buffer, starting at offset off.
`int` | `readInt()` Reads an integer from the present position in the message buffer.
`short` | `readInt2()` Equivalent to readshort(), readInt2 is provided for cross-language MQSeries API compatibility.
`int` | `readInt4()` Equivalent to readInt(), readInt4 is provided for cross-language MQSeries API compatibility.
`long` | `readInt8()` Equivalent to readlong(), readInt8 is provided for cross-language MQSeries API compatibility.
`java.lang.String` | `readLine()` Converts from the codeset defined in the characterSet member variable to Unicode, then reads in a line that has been terminated by \n, \r, \r\n, or EOF.
`long` | `readLong()` Reads a long from the present position in the message buffer.
`java.lang.Object` | `readObject()` Reads an object, its class, class signature, and the value of the non-transient and nonstatic fields of the class.
`short` | `readShort()` Reads a short from the present position in the message buffer.
`java.lang.String` | `readString(int length)` Reads a string in the codeset defined by the characterSet member variable.
`int` | `readUInt2()` Equivalent to readUnsignedShort(), readUInt2 is provided for cross-language MQSeries API compatibility.
`int` | `readUnsignedByte()` Reads an unsigned byte from the present position in the message buffer.
`int` | `readUnsignedShort()` Reads an unsigned short from the present position in the message buffer.
`java.lang.String` | `readUTF()` Reads a UTF string, prefixed by a 2-byte length field, from the present position in the message buffer.
`void` | `resizeBuffer(int size)` Clues the MQMessage object as to the size of buffer that may be necessary for subsequent get operations.
`void` | `seek(int pos)` Relocates the cursor to the absolute position in the message buffer given by pos.
`void` | `setDataOffset(int offset)` Relocates the cursor to the absolute position in the message buffer.
`void` | `setVersion(int version)` Sets the version of the structure to be used.
`int` | `skipBytes(int numberOfBytes)` Advances n bytes in the message buffer.
`void` | `write(byte[] byteArray)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `write(byte[] byteArray, int offset, int len)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `write(int byteValue)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `writeBoolean(boolean boolValue)` Writes a Boolean into the message buffer at the present position.
`void` | `writeByte(int byteValue)` Writes a byte into the message buffer at the present position.
`void` | `writeBytes(java.lang.String stringValue)` Writes the string to the message buffer as a sequence of bytes.
`void` | `writeChar(int unicodeChar)` Writes a Unicode character into the message buffer at the present position.
`void` | `writeChars(java.lang.String str)` Writes a string as a sequence of Unicode characters into the message buffer at the current position.
`void` | `writeDecimal2(short decimal2Value)` Writes a 2-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDecimal4(int decimal4Value)` Writes a 4-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDecimal8(long decimal8Value)` Writes an 8-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDouble(double doubleValue)` Writes a double into the message buffer at the present position.
`void` | `writeFloat(float floatValue)` Writes a float into the message buffer at the present position.
`void` | `writeInt(int intValue)` Writes an integer into the message buffer at the present position.
`void` | `writeLong(long longValue)` Writes a long into the message buffer at the present position.
`void` | `writeObject(java.lang.Object objValue)` Writes the specified object, object class, class signature, and the values of the nontransient and non-static fields of the class and all its supertypes.
`void` | `writeShort(int shortValue)` Writes a short into the message buffer at the present position.
`void` | `writeString(java.lang.String stringValue)` Writes a string into the message buffer at the present position, converting it to the codeset identified by the characterSet member variable.
`void` | `writeUTF(java.lang.String utfString)` Writes a UTF string, prefixed by a 2-byte length field, into the message buffer at the present position.

Constructor Detail

### Message

    public Message()

Method Detail

### clearMessage

    public void clearMessage()
                      throws com.stc.common.collabService.CollabConnException

  Discards data in the message buffer and reset the data offset to zero.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### getDataLength

    public int getDataLength()
                      throws com.stc.common.collabService.CollabConnException

  Reports the number of bytes of data remaining to be read in the message.

  Parameters:
    None.
  Returns:
    `int` - Returns the number, in bytes, of message data remaining to be read.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### getDataOffset

    public int getDataOffset()
                      throws com.stc.common.collabService.CollabConnException

  Returns the current position of the cursor within the message. This is the point at which read and write operations take effect.

  Parameters:
    None.
  Returns:
    `int` - Returns the current cursor position.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### getMessageLength

    public int getMessageLength()
                         throws com.stc.common.collabService.CollabConnException

  Reports the total number of bytes in the stored message on the queue.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### getTotalMessageLength

    public int getTotalMessageLength()
                              throws com.stc.common.collabService.CollabConnException

  If MQQueue.get() fails with a message-truncated error code, getTotalMessageLength() reports the total number of bytes in the stored message on the queue.

  Parameters:
    None.
  Returns:
    `int` - Returns the number of bytes of the message as stored on the message queue.
  Throws:
    None.

### readBoolean

    public boolean readBoolean()
                        throws com.stc.common.collabService.CollabConnException

  Reads a (signed) byte from the present position in the message buffer.

  Parameters:
    None.
  Returns:
    `Boolean` - A byte from the current position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readChar

    public char readChar()
                  throws com.stc.common.collabService.CollabConnException

  Reads a Unicode character from the present position in the message buffer.

  Parameters:
    None.
  Returns:
    `char` - Returns a unicode character from the current position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readDecimal2

    public short readDecimal2()
                       throws com.stc.common.collabService.CollabConnException

  Reads a 2-byte packed decimal number (-999 to 999). Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL reads a big-endian packed decimal number, and a value of MQC.MQENC_DECIMAL_REVERSED reads a little-endian packed decimal number.

  Parameters:
    None.
  Returns:
    `short` - Returns a 2-byte packed decimal number.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readDecimal4

    public int readDecimal4()
                     throws com.stc.common.collabService.CollabConnException

  Reads a 4-byte packed decimal number (-9999999 to 9999999). Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL reads a big-endian packed decimal number, and a value of MQC.MQENC_DECIMAL_REVERSED reads a little-endian packed decimal number.

  Parameters:
    None.
  Returns:
    `int` - Returns a 4-byte packed decimal number.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readDecimal8

    public long readDecimal8()
                      throws com.stc.common.collabService.CollabConnException

  Reads an 8-byte packed decimal number (-999999999999999 to 999999999999999). Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL reads a big-endian packed decimal number, and a value of MQC.MQENC_DECIMAL_REVERSED reads a little-endian packed decimal number.

  Parameters:
    None.
  Returns:
    `long` - Returns an 8-byte packed decimal number.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readDouble

    public double readDouble()
                      throws com.stc.common.collabService.CollabConnException

  Reads a double from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  MQC.MQENC_FLOAT_S390 reads a System/390 format floating point number. MQC.MQENC_FLOAT_IEEE_NORMAL and MQC.MQENC_FLOAT_IEEE_REVERSED read IEEE standard doubles in bigendian and little-endian formats respectively.

  Parameters:
    None.
  Returns:
    `double` - Returns a double from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readFloat

    public float readFloat()
                    throws com.stc.common.collabService.CollabConnException

  Reads a float from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  MQC.MQENC_FLOAT_S390 reads a System/390 format floating point number. MQC.MQENC_FLOAT_IEEE_NORMAL and MQC.MQENC_FLOAT_IEEE_REVERSED read IEEE standard floats in big-endian and little-endian formats respectively.

  Parameters:
    None.
  Returns:
    `float` - Returns a float from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readFully

    public void readFully(byte[] buffer)
                   throws com.stc.common.collabService.CollabConnException

  Fills the byte array b with data from the message buffer.

  Parameters:
    `buffer` - Fills the byte array b with data from the message buffer.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readFully

    public void readFully(byte[] buffer,
                          int offset,
                          int len)
                   throws com.stc.common.collabService.CollabConnException

  Fills the len elements of the byte array b with data from the message buffer, starting at offset off.

  Parameters:
    `buffer` - Fills the byte array b with data from the message buffer.
    `offset` - The offset at which the fill starts.
    `len` - Fills len elements of the byte array b with data from the message buffer.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readInt

    public int readInt()
                throws com.stc.common.collabService.CollabConnException

  Reads an integer from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian integer, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian integer.

  Parameters:
    None.
  Returns:
    `int` - Returns an integer from the current position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readInt2

    public short readInt2()
                   throws com.stc.common.collabService.CollabConnException

  Equivalent to readshort(), readInt2 is provided for cross-language MQSeries API compatibility.

  Parameters:
    None.
  Returns:
    `short` - Returns a short from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readInt4

    public int readInt4()
                 throws com.stc.common.collabService.CollabConnException

  Equivalent to readInt(), readInt4 is provided for cross-language MQSeries API compatibility.

  Parameters:
    None.
  Returns:
    `int` - Returns an integer from the current position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readInt8

    public long readInt8()
                  throws com.stc.common.collabService.CollabConnException

  Equivalent to readlong(), readInt8 is provided for cross-language MQSeries API compatibility.

  Parameters:
    None.
  Returns:
    `long` - Returns a long from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readLine

    public java.lang.String readLine()
                              throws com.stc.common.collabService.CollabConnException

  Converts from the codeset defined in the characterSet member variable to Unicode, then reads in a line that has been terminated by \n, \r, \r\n, or EOF.

  Parameters:
    None.
  Returns:
    `String` - Returns the unicode characterSet.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readLong

    public long readLong()
                  throws com.stc.common.collabService.CollabConnException

  Reads a long from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian long, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian long.

  Parameters:
    None.
  Returns:
    `long` - Returns a long from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readObject

    public java.lang.Object readObject()
                                throws com.stc.common.collabService.CollabConnException

  Reads an object, its class, class signature, and the value of the non-transient and nonstatic fields of the class.

  Parameters:
    None.
  Returns:
    `object` - Returns an object, its class, class signature, and vield value.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readShort

    public short readShort()
                    throws com.stc.common.collabService.CollabConnException

  Reads a short from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian short, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian short.

  Parameters:
    None.
  Returns:
    `short` - Returns a short from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readString

    public java.lang.String readString(int length)
                                throws com.stc.common.collabService.CollabConnException

  Reads a string in the codeset defined by the characterSet member variable. Convert the string into Unicode.

  Parameters:
    `length` - The number of characters to read (not the same as the number of bytes)
  Returns:
    `String` - Returns the Unicode value of the string in the codeset defined by the characterSet member variable.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readUInt2

    public int readUInt2()
                  throws com.stc.common.collabService.CollabConnException

  Equivalent to readUnsignedShort(), readUInt2 is provided for cross-language MQSeries API compatibility.

  Parameters:
    None.
  Returns:
    `int` - Returns an unsigned int from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readUnsignedByte

    public int readUnsignedByte()
                         throws com.stc.common.collabService.CollabConnException

  Reads an unsigned byte from the present position in the message buffer.

  Parameters:
    None.
  Returns:
    `int` - Returns an unsigned byte from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readUnsignedShort

    public int readUnsignedShort()
                          throws com.stc.common.collabService.CollabConnException

  Reads an unsigned short from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian unsigned short, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian unsigned short.

  Parameters:
    None.
  Returns:
    `int` - Returns an unsigned int from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### readUTF

    public java.lang.String readUTF()
                             throws com.stc.common.collabService.CollabConnException

  Reads a UTF string, prefixed by a 2-byte length field, from the present position in the message buffer.

  Parameters:
    None.
  Returns:
    `String` - Returns a UTF String, beginning with a 2-byte length field, from the present position in the message buffer.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### resizeBuffer

    public void resizeBuffer(int size)
                      throws com.stc.common.collabService.CollabConnException

  Clues the MQMessage object as to the size of buffer that may be necessary for subsequent get operations. When a message contains message data, and the new size is less than the current size, the message data is truncated.

  Parameters:
    `size` - The size of the buffer.
  Returns:
    `int` - Returns the new message size.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### seek

    public void seek(int pos)
              throws com.stc.common.collabService.CollabConnException

  Relocates the cursor to the absolute position in the message buffer given by pos. Following reads and writes act at this position in the buffer.

  Parameters:
    `pos` - Gives the absolute position in the message buffer.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### setDataOffset

    public void setDataOffset(int offset)
                       throws com.stc.common.collabService.CollabConnException

  Relocates the cursor to the absolute position in the message buffer. setDataOffset() is equivalent to seek(), allowing for cross-language compatibility with the other WebSphere MQ APIs.

  Parameters:
    `offset` - Gives the absolute position in the message buffer.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there's an external connection problem.

### setVersion

    public void setVersion(int version)
                    throws com.stc.common.collabService.CollabConnException

  Sets the version of the structure to be used. Values may include MQC.MQMD_VERSION_1 or MQC.MQMD_VERSION_2.

  This method is used when it is necessary to force a client to use a version 1 structure when connected to a queue manager that is able to handling version 2 structures. In all other situations, the client determines the correct version by querying the queue manager's capabilities.

  Parameters:
    `version` - The version number.
  Returns:
    `void` - None.
  Throws:
    None.

### skipBytes

    public int skipBytes(int numberOfBytes)
                  throws com.stc.common.collabService.CollabConnException

  Advances n bytes in the message buffer. Block until all the bytes are skipped, the end of message buffer is detected, or an exception is thrown.

  Parameters:
    `numberOfBytes` - Move forward n bytes in the message buffer.
  Returns:
    `int` - Returns the number of bytes skipped, which is always n.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### write

    public void write(byte[] byteArray)
               throws com.stc.common.collabService.CollabConnException

  Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

  Parameters:
    `byteArray` - The number of characters to read (not the same as the number of bytes)
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### write

    public void write(byte[] byteArray,
                      int offset,
                      int len)
               throws com.stc.common.collabService.CollabConnException

  Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

  Parameters:
    `byteArray` - The number of characters to read (not the same as the number of bytes)
    `offset` - The offset in the array
    `len` - The number of bytes to be written
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### write

    public void write(int byteValue)
               throws com.stc.common.collabService.CollabConnException

  Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

  Parameters:
    `byteValue` - The number of characters to read (not the same as the number of bytes).
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeBoolean

    public void writeBoolean(boolean boolValue)
                      throws com.stc.common.collabService.CollabConnException

  Writes a Boolean into the message buffer at the present position.

  Parameters:
    `boolValue` - The Boolean value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeByte

    public void writeByte(int byteValue)
                   throws com.stc.common.collabService.CollabConnException

  Writes a byte into the message buffer at the present position.

  Parameters:
    `byteValue` - The byte value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeBytes

    public void writeBytes(java.lang.String stringValue)
                    throws com.stc.common.collabService.CollabConnException

  Writes the string to the message buffer as a sequence of bytes. Each character is written out in sequence by discarding its high eight bits.

  Parameters:
    `stringValue` - The string of bytes.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeChar

    public void writeChar(int unicodeChar)
                   throws com.stc.common.collabService.CollabConnException

  Writes a Unicode character into the message buffer at the present position.

  Parameters:
    `unicodeChar` - The unicode value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeChars

    public void writeChars(java.lang.String str)
                    throws com.stc.common.collabService.CollabConnException

  Writes a string as a sequence of Unicode characters into the message buffer at the current position.

  Parameters:
    `str` - The string value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeDecimal2

    public void writeDecimal2(short decimal2Value)
                       throws com.stc.common.collabService.CollabConnException

  Writes a 2-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

  Parameters:
    `decimal2Value` - The 2-byte decimal value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeDecimal4

    public void writeDecimal4(int decimal4Value)
                       throws com.stc.common.collabService.CollabConnException

  Writes a 4-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

  Parameters:
    `decimal4Value` - The 4-byte decimal value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeDecimal8

    public void writeDecimal8(long decimal8Value)
                       throws com.stc.common.collabService.CollabConnException

  Writes an 8-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

  Parameters:
    `decimal8Value` - The 8-byte decimal value..
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeDouble

    public void writeDouble(double doubleValue)
                     throws com.stc.common.collabService.CollabConnException

  Writes a double into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A Value of MQC.MQENC_FLOAT_IEEE_NORMAL or MQC.MQENC_FLOAT_IEEE_REVERSED write IEEE standard floats in big-endian and little-endian formats respectively. A value of MQC.MQENC_FLOAT_S390 writes a System/390 format floating point number. The range of IEEE doubles is greater than the range of S/390 double precision floating point numbers. Very large numbers cannot be converted.

  Parameters:
    `doubleValue` - The number of characters to read (not the same as the number of bytes).
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeFloat

    public void writeFloat(float floatValue)
                    throws com.stc.common.collabService.CollabConnException

  Writes a float into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A Value of MQC.MQENC_FLOAT_IEEE_NORMAL or MQC.MQENC_FLOAT_IEEE_REVERSED write IEEE standard floats in big-endian and little-endian formats respectively. A value of MQC.MQENC_FLOAT_S390 writes a System/390 format floating point number.

  Parameters:
    `floatValue` - The float value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeInt

    public void writeInt(int intValue)
                  throws com.stc.common.collabService.CollabConnException

  Writes an integer into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian integer. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian integer.

  Parameters:
    `intValue` - The int value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeLong

    public void writeLong(long longValue)
                   throws com.stc.common.collabService.CollabConnException

  Writes a long into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian long. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian long.

  Parameters:
    `longValue` - The long value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeObject

    public void writeObject(java.lang.Object objValue)
                     throws com.stc.common.collabService.CollabConnException

  Writes the specified object, object class, class signature, and the values of the nontransient and non-static fields of the class and all its supertypes.

  Parameters:
    `objValue` - The object value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeShort

    public void writeShort(int shortValue)
                    throws com.stc.common.collabService.CollabConnException

  Writes a short into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

  A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian short. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian short.

  Parameters:
    `shortValue` - The short value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeString

    public void writeString(java.lang.String stringValue)
                     throws com.stc.common.collabService.CollabConnException

  Writes a string into the message buffer at the present position, converting it to the codeset identified by the characterSet member variable.

  Parameters:
    `stringValue` - The string value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

### writeUTF

    public void writeUTF(java.lang.String utfString)
                  throws com.stc.common.collabService.CollabConnException

  Writes a UTF string, prefixed by a 2-byte length field, into the message buffer at the present position.

  Parameters:
    `utfString` - The string value.
  Returns:
    `void` - None.
  Throws:
    com.stc.common.collabService.CollabConnException - Thrown when there is an external connection problem.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003 by SeeBeyond Technology Corporation. All Rights Reserved.